All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver.tree
Class _rprxRemoteServerNodeServer

    com.sas.sasserver.tree._rprxRemoteServerNodeServer

All Implemented Interfaces:
  com.sas.rmi.RemoteBaseInterface, com.sas.rmi.RMIBaseInterface, com.sas.rmi.RocfORBReferenceObjectInterface, com.sas.rmi.RocfORBTreeInterface, _rprxRemoteServerNode, java.io.Serializable, java.rmi.Remote

    public class _rprxRemoteServerNodeServer

implements _rprxRemoteServerNode

See Also:
  Serialized Form

Constructor Summary
`_rprxRemoteServerNodeServer()`

Method Summary
`int` | `_countNodeChildren(int p1)`
`int` | `_getDefaultIcon()`
`int` | `_getExpandedIcon()`
`int` | `_getExpandedSelectedIcon()`
`com.sas.collection.hlist.HListInterface` | `_getMembers()`
`int` | `_getNodeChildCount()`
`com.sas.collection.hlist.HListInterface` | `_getNodeChildren(int p1, int p2)`
`java.lang.String` | `_getNodeExpandedText()`
`java.lang.String` | `_getNodeText()`
`java.lang.String` | `_getNodeType()`
`int` | `_getSelectedIcon()`
`void` | `_initialize(com.sas.collection.hlist.HListInterface p1)`
`void` | `_initialize(com.sas.collection.hlist.HListInterface p1, int p2, int p3)`
`boolean` | `_isLeafNode()`
`void` | `_RemoteConstructor()`
`void` | `_RemoteObject_getInstance()`
`void` | `_RemoteObject_newInstance()`
`void` | `_removeNodeChild(int p1)`
`void` | `_setDefaultIcon(int p1)`
`void` | `_setExpandedIcon(int p1)`
`void` | `_setExpandedSelectedIcon(int p1)`
`void` | `_setNodeExpandedText(java.lang.String p1)`
`void` | `_setNodeText(java.lang.String p1)`
`void` | `_setNodeType(java.lang.String p1)`
`void` | `_setSelectedIcon(int p1)`
`void` | `addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`int` | `countNodeChildren(int p1)`
`com.sas.visuals.IconInterface` | `getDefaultIcon()`
`com.sas.visuals.IconInterface` | `getExpandedIcon()`
`com.sas.visuals.IconInterface` | `getExpandedSelectedIcon()`
`com.sas.models.SimpleNodeInterface` | `getNodeChild(int p1)`
`int` | `getNodeChildCount()`
`com.sas.models.SimpleNodeInterface[]` | `getNodeChildren(int p1, int p2)`
`java.lang.String` | `getNodeExpandedText()`
`java.lang.String` | `getNodeText()`
`java.lang.String` | `getNodeType()`
`com.sas.models.NodeInterface` | `getRoot()`
`com.sas.visuals.IconInterface` | `getSelectedIcon()`
`boolean` | `isLeafNode()`
`static void` | `main(java.lang.String[] args)`
`void` | `removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)`
`void` | `stop()`

Constructor Detail

### _rprxRemoteServerNodeServer

    public _rprxRemoteServerNodeServer()
                                throws java.rmi.RemoteException,
                                       java.lang.Exception

Throws:
  `java.rmi.RemoteException`
  `java.lang.Exception`

Method Detail

### stop

    public void stop()

  Overrides:
    `stop` in class `com.sas.rmi.RMIBaseServer`

### main

    public static void main(java.lang.String[] args)

### _RemoteObject_newInstance

    public void _RemoteObject_newInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_newInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_newInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteObject_getInstance

    public void _RemoteObject_getInstance()
                                   throws java.rmi.RemoteException,
                                          java.lang.Exception

  Specified by:
    `_RemoteObject_getInstance` in interface `com.sas.rmi.RemoteBaseInterface`
  Overrides:
    `_RemoteObject_getInstance` in class `com.sas.rmi.RMIBaseServer`
  Throws:
    `java.rmi.RemoteException`
    `java.lang.Exception`

### _RemoteConstructor

    public void _RemoteConstructor()
                            throws java.rmi.RemoteException

  Specified by:
    `_RemoteConstructor` in interface `_rprxRemoteServerNode`
  Throws:
    `java.rmi.RemoteException`

### _initialize

    public void _initialize(com.sas.collection.hlist.HListInterface p1)
                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_initialize` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _initialize

    public void _initialize(com.sas.collection.hlist.HListInterface p1,
                            int p2,
                            int p3)
                     throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_initialize` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNodeChildren

    public com.sas.collection.hlist.HListInterface _getNodeChildren(int p1,
                                                                    int p2)
                                                             throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNodeChildren` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNodeExpandedText

    public java.lang.String _getNodeExpandedText()
                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNodeExpandedText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setNodeExpandedText

    public void _setNodeExpandedText(java.lang.String p1)
                              throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setNodeExpandedText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNodeText

    public java.lang.String _getNodeText()
                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNodeText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setNodeText

    public void _setNodeText(java.lang.String p1)
                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setNodeText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNodeType

    public java.lang.String _getNodeType()
                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNodeType` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setNodeType

    public void _setNodeType(java.lang.String p1)
                      throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setNodeType` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getDefaultIcon

    public int _getDefaultIcon()
                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getDefaultIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setDefaultIcon

    public void _setDefaultIcon(int p1)
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setDefaultIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getExpandedIcon

    public int _getExpandedIcon()
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getExpandedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setExpandedIcon

    public void _setExpandedIcon(int p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setExpandedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getSelectedIcon

    public int _getSelectedIcon()
                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setSelectedIcon

    public void _setSelectedIcon(int p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getExpandedSelectedIcon

    public int _getExpandedSelectedIcon()
                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getExpandedSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _setExpandedSelectedIcon

    public void _setExpandedSelectedIcon(int p1)
                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_setExpandedSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _isLeafNode

    public boolean _isLeafNode()
                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_isLeafNode` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _countNodeChildren

    public int _countNodeChildren(int p1)
                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_countNodeChildren` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getNodeChildCount

    public int _getNodeChildCount()
                           throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getNodeChildCount` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _removeNodeChild

    public void _removeNodeChild(int p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_removeNodeChild` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### _getMembers

    public com.sas.collection.hlist.HListInterface _getMembers()
                                                        throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `_getMembers` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### addContentsChangedListener

    public void addContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `addContentsChangedListener` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### removeContentsChangedListener

    public void removeContentsChangedListener(com.sas.collection.ContentsChangedListener p1)
                                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `removeContentsChangedListener` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getRoot

    public com.sas.models.NodeInterface getRoot()
                                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getRoot` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeExpandedText

    public java.lang.String getNodeExpandedText()
                                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeExpandedText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeText

    public java.lang.String getNodeText()
                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeText` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeType

    public java.lang.String getNodeType()
                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeType` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### countNodeChildren

    public int countNodeChildren(int p1)
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `countNodeChildren` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeChildCount

    public int getNodeChildCount()
                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeChildCount` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### isLeafNode

    public boolean isLeafNode()
                       throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `isLeafNode` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeChild

    public com.sas.models.SimpleNodeInterface getNodeChild(int p1)
                                                    throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeChild` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getNodeChildren

    public com.sas.models.SimpleNodeInterface[] getNodeChildren(int p1,
                                                                int p2)
                                                         throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getNodeChildren` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getDefaultIcon

    public com.sas.visuals.IconInterface getDefaultIcon()
                                                 throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getDefaultIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getExpandedIcon

    public com.sas.visuals.IconInterface getExpandedIcon()
                                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getExpandedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getSelectedIcon

    public com.sas.visuals.IconInterface getSelectedIcon()
                                                  throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

### getExpandedSelectedIcon

    public com.sas.visuals.IconInterface getExpandedSelectedIcon()
                                                          throws com.sas.rmi.ServerBusyTimeoutException

  Specified by:
    `getExpandedSelectedIcon` in interface `_rprxRemoteServerNode`
  Throws:
    `com.sas.rmi.ServerBusyTimeoutException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.